package com.xhkjedu.sexam.controller.exam;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.sexam.model.exam.EBase;
import com.xhkjedu.sexam.service.exam.EBaseService;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/e_base")
public class EBaseController {
    @Resource
    private EBaseService eBaseService;

    @PostMapping("/add")
    public ResultVo add(@RequestBody EBase eBase) {
        eBaseService.save(eBase);
        return new ResultVo(0,"保存成功");
    }

    @PostMapping("/delete")
    public ResultVo delete(@RequestBody EBase eBase) {
        eBaseService.deleteById(eBase.getId());
        return new ResultVo(0,"删除成功");
    }

    @PostMapping("/update")
    public ResultVo update(@RequestBody EBase eBase) {
        eBaseService.update(eBase);
        return new ResultVo(0,"修改成功");
    }

    @PostMapping("/detail")
    public ResultVo detail(@RequestBody EBase eBase) {
        EBase base = eBaseService.findById(eBase.getId());
        return new ResultVo(0,"获取详情成功",base);
    }

    @PostMapping("/list")
    public ResultVo list(@RequestBody EBase eBase) {
        PageHelper.startPage(eBase.getPage(), eBase.getPageSize());
        List<EBase> list = eBaseService.listAll();
        PageResult pageResult = PageUtil.getPageResult(new PageInfo(list));
        return new ResultVo(0,"获取列表成功",pageResult);
    }
}
